<?php
function edit_booking()
{
	global $global,$smarty;
	$boo_id = post('boo_id');
	$boo_note = post('boo_note');
	$obj = new booking();
	$obj->set_value('boo_note',$boo_note);
	$obj->set_where("boo_id = $boo_id");
	$obj->edit();
	
	$smarty->assign('info_text','修改缺货登记信息成功');
	$smarty->assign('link_text','返回列表页');
	$smarty->assign('link_href',url(array('channel'=>$global['channel'],'mod'=>'booking_sheet')));
}
function order_basic()
{
	global $global,$smarty;
	$ord_id = post('ord_id');
	$ord_status = post('ord_status');
	$ord_express_no = post('ord_express_no');
	$obj = new orders();
	$obj->set_value('ord_status',$ord_status);
	$obj->set_value('ord_express_no',$ord_express_no);
	if($ord_status == '1')
	{
		$obj->set_value('ord_pay_time',time());
	}elseif($ord_status == '3'){
		$obj->set_value('ord_shipping_time',time());
	}
	$obj->set_where("ord_id = $ord_id");
	$obj->edit();
	
	$smarty->assign('info_text','修改订购基本信息成功');
	$smarty->assign('link_text','返回上一页');
	$smarty->assign('link_href',url(array('channel'=>$global['channel'],'mod'=>'order_info','id'=>$ord_id)));
}
function order_note()
{
	global $global,$smarty;
	$ord_id = post('ord_id');
	$ord_note = post('ord_note');
	$obj = new orders();
	$obj->set_value('ord_note',$ord_note);
	$obj->set_where("ord_id = $ord_id");
	$obj->edit();
	
	$smarty->assign('info_text','修改操作备注成功');
	$smarty->assign('link_text','返回上一页');
	$smarty->assign('link_href',url(array('channel'=>$global['channel'],'mod'=>'order_info','id'=>$ord_id)));
}
	
//红头船
?>